Bug 200505 - audio/soundconverter - FIX MASTER_SITES, WWW [PATCH]
Summary: audio/soundconverter - FIX MASTER_SITES, WWW [PATCH]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason Unovitch
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-05-29 00:04 UTC by Chris Hutchinson
Modified: 2015-10-03 01:05 UTC (History)
2 users (show)

See Also:


Attachments
patch to fix audio/soundconverter (1.97 KB, patch)
2015-05-29 00:04 UTC, Chris Hutchinson
no flags Details | Diff
QA LOG for audio/soundconverter (298.07 KB, text/plain)
2015-05-29 00:05 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2015-05-29 00:04:13 UTC
Created attachment 157237 [details]
patch to fix audio/soundconverter

Well just went to install this, and found things weren't
well with this port. So decided I'd fix it...
This port is *really* out of date; current version: 2.1.5!

However, this pr only covers the current version in the ports
tree - 1.5.4. After these changes get committed, I'll cobble
up, and test the current version, and file a new pr. :)

Changes:
MASTER_SITES, and WWW.

pet portlint; NLS vs gettext

Please find patch (svn diff), and requisite QA LOG, attached.

Thanks!

--Chris
Comment 1 Chris Hutchinson 2015-05-29 00:05:18 UTC
Created attachment 157238 [details]
QA LOG for audio/soundconverter
Comment 2 Jason Unovitch freebsd_committer 2015-09-30 02:13:28 UTC
Take.

I'm setting the MASTER_SITES as shown:

MASTER_SITES=   BERLIOS \
                http://BSDforge.com/projects/source/audio/soundconverter/

According to `make fetch-urlall-list` that is generating valid Sourceforge links to download the file from and the working links have the correct SHA of the file.

QA builds kicked off now just to sanity check nothing has changed.  I'll sanity check everything tomorrow after the builds finish overnight and I get sleep.

Thanks Chris.
Comment 3 Chris Hutchinson 2015-10-02 15:40:59 UTC
(In reply to Jason Unovitch from comment #2)
> Take.
> 
> I'm setting the MASTER_SITES as shown:
> 
> MASTER_SITES=   BERLIOS \
>                 http://BSDforge.com/projects/source/audio/soundconverter/
> 
> According to `make fetch-urlall-list` that is generating valid Sourceforge
> links to download the file from and the working links have the correct SHA
> of the file.
> 
> QA builds kicked off now just to sanity check nothing has changed.  I'll
> sanity check everything tomorrow after the builds finish overnight and I get
> sleep.
> 
> Thanks Chris.

Sounds good, Jason.

Thanks!

--Chris
Comment 4 commit-hook freebsd_committer 2015-10-03 01:00:04 UTC
A commit references this bug:

Author: junovitch
Date: Sat Oct  3 00:59:58 UTC 2015
New revision: 398457
URL: https://svnweb.freebsd.org/changeset/ports/398457

Log:
  audio/soundconverter: pass on maintainership and clean up port

  - Pass maintainer from ports@ to submitter
  - Add maintainer mirror to MASTER_SITES
  - Add NO_ARCH
  - Sort USES (portlint)
  - Remove unconditional gettext USES and add NLS knob (portlint)
  - Update WWW link and update pkg-descr based on upstream verbiage

  PR:		200505
  Submitted by:	Chris Hutchinson <portmaster@bsdforge.com> (with changes)

Changes:
  head/audio/soundconverter/Makefile
  head/audio/soundconverter/pkg-descr
  head/audio/soundconverter/pkg-plist
Comment 5 Jason Unovitch freebsd_committer 2015-10-03 01:05:38 UTC
(In reply to Chris Hutchinson from comment #3)

This patch had the following QA issue without NLS.

...<truncated>...
pkg-static: Unable to access file /wrkdirs/root/soundconverter/work/stage/usr/local/share/locale/zh_CN/LC_MESSAGES/soundconverter.mo: No such file or directory

Chris, take a look at the committed changes as this adds the OPTIONS_SUB and %%NLS%% for items that aren't installed without NLS.  The words of wisdom here are to consider the third order effects past what portlint or the tool is saying.